Bug 172337 - tetex - texconfig fails due to an obsolete option in 'sort'
Summary: tetex - texconfig fails due to an obsolete option in 'sort'
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tetex   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-02 22:01 UTC by Michal Jaegermann
Modified: 2013-07-02 23:10 UTC (History)
1 user (show)

Fixed In Version: 3.0-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-05 07:54:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
change sort option to a POSIX acceptable form (754 bytes, patch)
2005-11-02 22:01 UTC, Michal Jaegermann
no flags Details | Diff

Description Michal Jaegermann 2005-11-02 22:01:27 UTC
Description of problem:

$ texconfig conf
.....
=========================== active config files ==========================
sort: open failed: +1: No such file or directory

Currently supplied /bin/sort does not accept options like '+1'.  Attached
trivial patch resolves the issue.

Version-Release number of selected component (if applicable):
tetex-3.0-7

How reproducible:
always

Comment 1 Michal Jaegermann 2005-11-02 22:01:27 UTC
Created attachment 120664 [details]
change sort option to a POSIX acceptable form

Comment 2 Jindrich Novy 2005-11-04 14:40:27 UTC
The sort behaves correctly for me:
[jnovy@enigma devel]$ texconfig conf | grep sort
[jnovy@enigma devel]$

with coreutils-5.2.1-48.1. What's the output of `rpm -q coreutils` on your box? 

I don't like the +1 argument to sort though.

Comment 3 Michal Jaegermann 2005-11-04 18:48:09 UTC
> What's the output of `rpm -q coreutils` on your box?

coreutils-5.92-1

This is for "devel", remember?  And that is the current sort from "rawhide" which
become more POSIX-strict.  coreutils-5.2.1-48.1 is from FC4 and it will still
accept +1 for fields specifications.


Comment 4 Jindrich Novy 2005-11-05 07:54:39 UTC
It's now fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.